Bug 496622 - [RFE] Multi column sort
[RFE] Multi column sort
Status: CLOSED WORKSFORME
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
3.2
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 08:12 EDT by Chris Ward
Modified: 2013-06-23 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-26 21:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2009-04-20 08:12:25 EDT
Description of problem:
I'd like to be able to sort the bugzilla search results tables more flexibly, namly, sorting by 2 or more columns; at least 2. 

For example, sort first based on component, then based on severity.
Comment 1 David Lawrence 2009-04-26 21:16:30 EDT
You can do this now. If you click on a column's header at the top of the table, it will sort on that column. If you click the same column again it sorts it in the opposite direction. If you click on a different column header, it will sort on that column in addition to the previous sorted column. And so on if you click multiple columns. You can then save the search which will also save the sorting info. Also a cookie is set called LASTORDER which is used when you go back to buglist.cgi each time until you change the sort order.
Comment 2 Chris Ward 2009-04-27 04:21:34 EDT
wow, it does work. nice. just isn't in anyway obvious that it should work. i guess people will just need to know it does. Thanks

Note You need to log in before you can comment on or make changes to this bug.